### File

`packages/components/eui-card/services/ui-state.service.ts`

### Index

###### Methods
setState Public toggleCollapsed
###### Accessors
state$ state isCollapsed isCollapsible

### Methods

setState
`setState(nextState: UIState)`
Parameters :
Name | Type | Optional
nextState | `UIState` | No
Returns : `void`

Public toggleCollapsed
`toggleCollapsed()`
Returns : `void`

### Accessors

state$
get `state$()`

state
get `state()`

isCollapsed
set `isCollapsed(isActive: boolean)`
Parameters :
Name | Type | Optional
isActive | `boolean` | No
Returns : `void`

isCollapsible
set `isCollapsible(isActive: boolean)`
Parameters :
Name | Type | Optional
isActive | `boolean` | No
Returns : `void`

# results matching ""

# No results matching ""